summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xconfig/cc.sh10
1 files changed, 8 insertions, 2 deletions
diff --git a/config/cc.sh b/config/cc.sh
index e6883f5..45d51ca 100755
--- a/config/cc.sh
+++ b/config/cc.sh
@@ -5,6 +5,12 @@
# Run the compiler and check if it succeeded
-set -eux
+set -eu
-$XCC $XCPPFLAGS $XCFLAGS $XLDFLAGS "$@" $XLDLIBS -o /dev/null
+TMP=$(mktemp)
+trap 'rm -f "$TMP"' EXIT
+
+(
+ set -x
+ $XCC $XCPPFLAGS $XCFLAGS $XLDFLAGS "$@" $XLDLIBS -o "$TMP"
+)